.ol_hmbanner {
  position: relative;
  top: unset;
  left: unset;
  right: unset;
  width: 100%;
  height: 100%;
  z-index: 0;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  background: #F0F2F4;
}

.ol_hmbanner .container {
  width: 100%;
}

.slick-slider {
  -webkit-user-select: text;
  -khtml-user-select: text;
  -moz-user-select: text;
  -ms-user-select: text;
  user-select: text;
}

.olhmban_wrap {
  display: flex;
  justify-content: space-between;
  max-width: 100%;
  margin: 0;
  border-left: 0px solid var(--themeyellow);
  padding-left: 0px;
  margin: auto;
}

.olhmban_wrap>.left-side {
  width: 510px;
  text-align: left;
  padding: 110px 0 140px 0;


  & .hmban_title {
    /* font-size: clamp(42px, 42px + (66 - 42) * ((100vw - 375px) / (1920 - 375)), 66px); */
    font-size: clamp(30px, 30px + (66 - 30) * ((100vw - 375px) / (1920 - 375)), 66px);
    color: var(--black);
    letter-spacing: 0px;
    font-weight: 800;
    line-height: 1.15;
    text-transform: none;
    max-width: 100%;
    margin-bottom: 10px;
  }

  & .black_ribbon {
    font-variant: var(--sitefonts);
    font-size: clamp(14px, 14px + (16 - 14) * ((100vw - 375px) / (1920 - 375)), 16px);
    letter-spacing: 0px;
    font-weight: normal;
    color: var(--white);
    line-height: 1.25;
    display: inline-block;
    position: relative;
    background: var(--black);
    padding: 9px 25px 9px 17px;
    margin-bottom: 10px;
    position: relative;
    clip-path: polygon(0 0, 100% 0%, 96% 98%, 0% 100%);
  }

  & p {
    font-weight: 600;
    font-size: 18px;
    line-height: 1.2;
    letter-spacing: 0px;
    color: var(--light-black);
    margin-bottom: 38px;
  }
}

.olhmban_wrap>.right-side {
  width: calc(100% - 510px);
  padding-left: 60px;
  padding: 122px 0 0 0px;
}

.olhmban_wrap>.right-side .img-wrap {
  position: absolute;
  width: 1160px;
  right: -95px;
  bottom: -5px;
  z-index: 10;

  & img {
    filter: drop-shadow(15px 24px 17px #000000ee);
  }
}

ul.js_hmbanner .slick-slide>div>li {
  display: block !important;
  padding-left: 0;
  margin-bottom: 0;
}

ul.js_hmbanner {
  position: relative;
  margin-bottom: 0 !important;
  margin: 0;
}

.js_hmbanner:not(.slick-initialized)>li {
  padding-left: 0;
}

.js_hmbanner>li:before,
.js_hmbanner>li:after {
  display: none;
}

.js_hmbanner:not(.slick-initialized)>li:not(:nth-child(-n + 1)) {
  display: none;
}

.js_hmbanner.slick-arrow .slick-prev {
  left: calc(0% + 20px);
  right: unset;
  top: calc(50% + 20px) !important;
  bottom: unset;
}

.js_hmbanner.slick-arrow .slick-next {
  right: calc(0% + 20px);
  left: unset;
  top: calc(50% + 20px) !important;
  bottom: unset;
}

.bannerimgvid {
  /* position: relative;
  height: 780px; */
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  z-index: -1;
}

.bannerimgvid>.img-wrap>img,
.bannerimgvid>.img-wrap {
  height: 100%;
  object-fit: cover;
}

video {
  /* top: 50%; */
  position: relative;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.sec_hmbanner {
  position: relative;
  /* margin-top: 147px; */
  background: #EFF7FF;
  margin-bottom: 00px;
  max-width: 100%;
  overflow-y: visible;
  overflow-x: clip;
  /* margin-bottom: 110px; */
  z-index: 1;
}

.sec_hmbanner ul li {
  padding-left: 0;
  margin-bottom: 0;
}

.js_hmbanner .slick-list {
  overflow: visible;
}

.sec_hmbanner ul li::before {
  display: none;
}

/* ---------------- HM Abouut Section ------------------ */
.hm-about-three-col-sec {
  position: relative;
  overflow-y: visible;
  overflow-x: clip;

  &::after {
    content: '';
    position: absolute;
    bottom: -18px;
    left: 100px;
    height: 265px;
    width: 472px;
    background: url('../images/wrench-bg-img.webp') no-repeat;
    z-index: -1;
  }
}

.hm-about-wrapper {
  justify-content: space-between;

  & .hm-about-col-left {
    width: 455px;
  }

  & .hm-about-col-mdl {
    width: 288px;
  }

  & .hm-about-col-right {
    width: 460px;

    & ul {
      & li {
        padding-left: 0;
        padding-bottom: 47px;
        margin-bottom: 47px;
        position: relative;

        &:before {
          content: '';
          position: absolute;
          bottom: 0;
          right: 0;
          height: 1px;
          width: calc(100% - 99px);
          background-color: #E4E9EC;
        }

        &:after {
          content: none;
        }

        &:last-child {
          padding-bottom: 0;
          margin-bottom: 0;

          &:before {
            display: none;
          }
        }

        & .hm-about-usp-wrap {
          display: flex;
          justify-content: space-between;
          gap: 24px;

          & .hm-about-usp-icon {
            background-color: #F0F2F4;
            height: 70px;
            width: 70px;
            display: flex;
            justify-content: center;
            align-items: center;
            border-radius: 15px;
          }

          & .hm-about-usp-content {
            width: calc(100% - 99px);

            & .heading-20 {
              margin-bottom: 3px;
            }

            & p {
              line-height: 1.3;
              color: #151313;
            }
          }
        }
      }
    }
  }
}


.olhmban_wrap .btnlist {
  display: none;
}


/* Super Large devices (large desktops, less than 1600px) */

@media (max-width: 1800px) {

  .olhmban_wrap>.right-side {
    position: relative;
  }

  .olhmban_wrap>.right-side .img-wrap {
    right: unset;
    left: 0;
  }
}

@media (max-width: 1599.98px) {
  .js_hmbanner.slick-arrow .slick-prev {
    left: calc(50% - 45px);
    top: calc(100% - 30px) !important;
  }

  .js_hmbanner.slick-arrow .slick-next {
    right: calc(50% - 45px);
    top: calc(100% - 30px) !important;
  }

  .ol_hmbanner .container {
    padding: 0 15px;
  }

  .olhmban_wrap>.right-side .img-wrap {
    width: 1000px;
  }

  .olhmban_wrap>.left-side {
    padding: 90px 0 100px 0;
  }

  .olhmban_wrap>.right-side {
    padding: 90px 0 0 0px;
  }
}


/* Extra Large devices (large desktops, less than 1440px) */

@media (max-width: 1439.98px) {

  .hmban_title {
    &::after {
      display: none;
    }
  }

  ul.js_hmbanner li>img {
    min-height: 450px;
    object-fit: cover;
  }

  .olhmban_wrap>.left-side {
    padding-right: 0;
    width: calc(50% - 20px);
    padding: 80px 0 80px 0;
  }

  .olhmban_wrap>.right-side {
    width: calc(50% - 20px);
    padding: 80px 0 0 0px;
  }

  .ol_hmbanner {
    min-height: 500PX;
  }

  .products-category-wrap {
    padding: 0 30px 35px 30px;
  }

  .products-category-wrap>p {
    margin-bottom: 20px;
  }

  .olhmban_wrap>.right-side .img-wrap {
    width: 700px;
    bottom: -20px;
  }

  /*  */
  .ol_hmbanner {
    min-height: 400px;
  }

  .olhmban_wrap>.left-side {
    padding-right: 0;
    width: calc(50% - 20px);
    padding: 40px 0 40px 0;
  }

  .olhmban_wrap>.right-side {
    width: calc(50% - 20px);
    padding: 40px 0 0 0px;
  }

  .olhmban_wrap>.right-side .img-wrap {
    width: 700px;
    bottom: 0px;
    left: -50px;
    right: unset;
  }

  /* ---------------- HM Abouut Section ------------------ */
  .hm-about-wrapper {
    & .hm-about-col-left {
      width: 400px;
    }

    & .hm-about-col-mdl {
      width: 260px;
    }

    & .hm-about-col-right {
      width: 390px;

      & ul {
        & li {
          padding-bottom: 30px;
          margin-bottom: 30px;

          &:before {
            width: calc(100% - 70px);
          }

          & .hm-about-usp-wrap {
            gap: 16px;

            & .hm-about-usp-icon {
              height: 50px;
              width: 50px;

              & img {
                width: 32px;
                height: 32px;
                object-fit: contain;
              }
            }

            & .hm-about-usp-content {
              width: calc(100% - 66px);
            }
          }
        }
      }
    }
  }

}


/* Large devices (desktops, less than 1200px) */

@media (max-width: 1199.98px) {

  /* COMMON Spacing */
  .olhmban_wrap {
    max-width: 100%;
  }

  .olhmban_wrap>.left-side {
    width: calc(55% - 10px);
  }

  .olhmban_wrap>.right-side {
    width: calc(45% - 10px);
  }

  .olhmban_wrap>.right-side .img-wrap {
    width: 600px;
  }

  /* --------------- */
  .olhmban_wrap>.left-side {
    padding: 30px 0 30px 0;
  }

  .olhmban_wrap>.right-side {
    padding: 30px 0 0 0px;
  }

  /* ---------------- HM Abouut Section ------------------ */
  .hm-about-wrapper {
    & .hm-about-col-left {
      width: 400px;
    }

    & .hm-about-col-mdl {
      display: none;
    }

    & .hm-about-col-right {
      width: calc(100% - 400px);
      max-width: 480px;
    }
  }
}


/* Medium devices (tablets, less than 992px) */

@media (max-width: 991.98px) {

  .olhmban_wrap {
    flex-wrap: wrap;
    gap: 25px;
    padding-top: 20px;
  }

  .olhmban_wrap>.left-side {
    width: calc(100%);
    padding: 0%;
  }

  .olhmban_wrap>.right-side {
    width: 100%;
    padding: 20px 0 0;
  }

  .olhmban_wrap>.right-side .img-wrap {
    position: relative;
    inset: unset;
    width: 100%;
  }

  .olhmban_wrap>.left-side {
    & p {
      margin-bottom: 25px;
    }
  }

  /* ---------------- HM Abouut Section ------------------ */
  .hm-about-wrapper {
    gap: 30px;

    & .hm-about-col-left {
      width: 100%;
    }

    & .hm-about-col-right {
      width: 100%;
      max-width: 100%;

      & ul {
        & li {
          padding-bottom: 20px;
          margin-bottom: 20px;
        }
      }
    }
  }
}


/* Small devices (landscape phones, less than 768px) */

@media (max-width: 767.98px) {

  /* common-spacing */
  .olhmban_wrap>.left-side {
    width: 100%;
    max-width: 100%;
    margin-bottom: 20px;
    padding: 0;
  }

  .olhmban_wrap .left-side .btnlist {
    justify-content: center;
  }

  .olhmban_wrap {
    max-width: 100%;
    padding: 20px 0;
  }

  .sec_hmbanner .ol_hmbanner .olhmban_wrap .btnlist {
    justify-content: center;
  }

  /* ---------------- HM Abouut Section ------------------ */
  .hm-about-wrapper {
    gap: 20px;

    & .hm-about-col-right {
      & ul {
        & li {
          padding-bottom: 15px;
          margin-bottom: 15px;
        }
      }
    }
  }
}


/* Extra small devices (portrait phones, less than 576px) */

@media (max-width: 575.98px) {

  .ol_hmbanner {
    min-height: 460px;
    padding: 20px 0;

  }

  .js_hmbanner.slick-arrow .slick-next,
  .js_hmbanner.slick-arrow .slick-prev {
    top: calc(100% - 17px) !important;
    align-items: flex-start;
    text-align: left;
  }

  .hmban_title {
    line-height: 1.2;
    margin-bottom: 15px;
    padding: 0 0px;
  }

  .olhmban_wrap {
    max-width: 100%;
    padding: 0;
    text-align: left;
  }

  .olhmban_wrap>.left-side {
    margin-bottom: 0;
    text-align: left;
  }

  .sec_hmbanner .ol_hmbanner .olhmban_wrap .btnlist {
    justify-content: flex-start;
  }

  .olhmban_wrap>.right-side .img-wrap {
    min-width: 100%;
    left: 0;
    right: 0;
    margin: 0 auto -20px;
  }

  .olhmban_wrap>.right-side {
    width: 100%;
    padding: 0;
  }

  .olhmban_wrap>.left-side {
    & p {
      font-size: 15px;
      margin-bottom: 20px;
    }
  }

  .olhmban_wrap>.left-side {
    & .black_ribbon {
      padding: 3px 25px 3px 17px;
    }

  }

  .olhmban_wrap .btnlist {
    display: block;
  }

}

@media (max-width: 480px) {
  .olhmban_wrap>.left-side {
    & .hmban_title {
      font-size: 24px;
    }
  }

}